Package org.python.modules.jffi

# Interface AllocatedDirectMemory

All Superinterfaces:
  `DirectMemory`, `Memory`

public interface AllocatedDirectMemory extends DirectMemory

## Method Summary

Modifier and Type
Method
Description
`void`
`free()`
`void`
`setAutoRelease(boolean autorelease)`

### Methods inherited from interface org.python.modules.jffi.DirectMemory

`getAddress`

### Methods inherited from interface org.python.modules.jffi.Memory

`get, get, get, get, get, get, getAddress, getByte, getDouble, getFloat, getInt, getLong, getMemory, getNativeLong, getShort, getZeroTerminatedByteArray, indexOf, indexOf, isDirect, isNull, put, put, put, put, put, put, putAddress, putAddress, putByte, putDouble, putFloat, putInt, putLong, putNativeLong, putShort, putZeroTerminatedByteArray, setMemory, slice`

## Method Details

### free

void free()

### setAutoRelease

void setAutoRelease(boolean autorelease)